/*	aboutdialog.cc
	About dialog functions
	Copyright (C) 2005 Lawrence Sebald

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "aboutdialog.h"

ccAboutDialog::ccAboutDialog(wxWindow *parent) :
wxDialog(parent, -1, "About Crabclaw Map Editor", wxDefaultPosition, wxSize(250, 150), wxDEFAULT_DIALOG_STYLE)	{
	wxGridSizer *sizer = new wxGridSizer(2, 1, 10, 10);
	ok_button = new wxButton(this, wxID_OK, "Ok", wxPoint(-1, -1));
	text = new wxStaticText(this, -1, "Crabclaw Map Editor\n"
	                                  "Version 0.9.2\n"
	                                  "Copyright \(C) 2005 Lawrence Sebald\n"
	                                  "Licensed under the GPL", 
	                        wxDefaultPosition, wxDefaultSize, wxALIGN_CENTRE);
	sizer->Add(text, 0, wxALIGN_CENTRE);
	sizer->Add(ok_button, 0, wxALIGN_CENTRE);
	SetSizer(sizer);
	SetAutoLayout(TRUE);
	Layout();
}

ccAboutDialog::~ccAboutDialog()	{
}
