/*	tiledialog.h
	Tile dialog class definition
	Copyright (C) 2005 Lawrence Sebald

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __TILEDIALOG_H
#define __TILEDIALOG_H

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif
#include <wx/wx.h>

class ccTile;

class ccTileDialog : public wxDialog	{
	private:
		wxTextCtrl *u32_1;
		wxTextCtrl *u16_1;
		wxTextCtrl *u16_2;
		wxTextCtrl *u8_1;
		wxTextCtrl *u8_2;
		wxTextCtrl *u8_3;
		wxTextCtrl *u8_4;
		wxStaticText *t_u32_1;
		wxStaticText *t_u16_1;
		wxStaticText *t_u16_2;
		wxStaticText *t_u8_1;
		wxStaticText *t_u8_2;
		wxStaticText *t_u8_3;
		wxStaticText *t_u8_4;
		wxButton *ok_button;
		wxButton *cancel_button;
		ccTile *tile;

	public:
		ccTileDialog(wxWindow *parent, ccTile *tile);
		~ccTileDialog();

		void updateTile();
};

#endif
